{% extends 'layout.html.twig' %}

{% import 'group/_navigation.html.twig' as nav %}

{% block content %}
  <h1>{{ 'group.action.read'|trans }}</h1>

  {{ nav.breadcrumbs(entity, 'read') }}

  <div class="row expanded collapse">
    <div class="large-6 columns end">
      <table>
        <thead>
          <tr>
            <th width="30%">{{ 'common.param'|trans }}</th>
            <th>{{ 'common.value'|trans }}</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>{{ 'group.entity.id'|trans }}</td>
            <td>{{ entity.id }}</td>
          </tr>
          <tr>
            <td>{{ 'group.entity.title'|trans }}</td>
            <td>{{ entity.title }}</td>
          </tr>
          <tr>
            <td>{{ 'group.entity.description'|trans }}</td>
            <td>{{ entity.description ? entity.description : '---' }}</td>
          </tr>
          <tr>
            <td>{{ 'group.entity.createdAt'|trans }}</td>
            <td>{{ entity.createdAt ? entity.createdAt|date(datetime_format) : '---' }}</td>
          </tr>
          <tr>
            <td>{{ 'group.entity.updatedAt'|trans }}</td>
            <td>{{ entity.updatedAt ? entity.updatedAt|date(datetime_format) : '---' }}</td>
          </tr>
          <tr>
            <td>{{ 'group.entity.roles'|trans }}</td>
            <td>
              <ul class="no-bullet">
                {% for role in entity.roles %}
                  <li>{{ role|trans({}, 'roles') }}</li>
                {% endfor %}
                {% if entity.roles|length == 0 %}
                  <li>---</li>
                {% endif %}
              </ul>
            </td>
          </tr>
          <tr>
            <td>{{ 'group.entity.analysisNames'|trans }}</td>
            <td>
              <ul class="no-bullet">
                {% for name in entity.analysisNames %}
                  <li>{{ name|trans({}, 'analysis') }}</li>
                {% endfor %}
                {% if entity.analysisNames|length == 0 %}
                  <li>---</li>
                {% endif %}
              </ul>
            </td>
          </tr>
          <tr>
            <td>{{ 'group.entity.users'|trans }}</td>
            <td>
              <ul class="no-bullet">
                {% for user in entity.users %}
                  <li>
                    <a href="{{ path('user_read', {'id': user.id}) }}">{{ user.name ? user.name : '---' }} ({{ user.username }})</a>
                  </li>
                {% endfor %}
                {% if entity.users|length == 0 %}
                  <li>---</li>
                {% endif %}
              </ul>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>

  {{ nav.actions(entity, {'list': true, 'update': true, 'delete': true}) }}
{% endblock %}
